Name: bison
Version: 3.0.4
Release: 2
License: GPL-3.0-or-later
Summary: GNU replacement for yacc
Url: https://www.gnu.org/software/bison

Source0: https://ftp.gnu.org/gnu/bison/bison-%{version}.tar.gz


%description
Bison is a general-purpose parser generator that converts an annotated
context-free grammar into a deterministic LR or generalized LR (GLR) parser
employing LALR(1) parser tables. As an experimental feature, Bison can also
generate IELR(1) or canonical LR(1) parser tables. Once you are proficient with
Bison, you can use it to develop a wide range of language parsers, from those
used in simple desk calculators to complex programming languages.

Bison is upward compatible with Yacc: all properly-written Yacc grammars ought
to work with Bison with no change. Anyone familiar with Yacc should be able to
use Bison with little trouble. You need to be fluent in C or C++ programming in
order to use Bison. Java is also supported as an experimental feature.

%prep
%setup -q

%build

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --disable-rpath \
  # end

%make_build


%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/yacc
%{_bindir}/bison

%{_datadir}/aclocal/bison-i18n.m4

%{_mandir}/man1/bison.1
%{_mandir}/man1/yacc.1

%{_datadir}/bison/glr.cc
%{_datadir}/bison/java-skel.m4
%{_datadir}/bison/m4sugar/foreach.m4
%{_datadir}/bison/m4sugar/m4sugar.m4
%{_datadir}/bison/glr.c

%{_datadir}/bison/xslt/xml2text.xsl
%{_datadir}/bison/xslt/xml2dot.xsl
%{_datadir}/bison/xslt/xml2xhtml.xsl
%{_datadir}/bison/xslt/bison.xsl
%{_datadir}/bison/variant.hh
%{_datadir}/bison/README
%{_datadir}/bison/java.m4
%{_datadir}/bison/lalr1.java
%{_datadir}/bison/location.cc
%{_datadir}/bison/c-like.m4
%{_datadir}/bison/c++.m4
%{_datadir}/bison/yacc.c
%{_datadir}/bison/stack.hh
%{_datadir}/bison/c++-skel.m4
%{_datadir}/bison/c-skel.m4
%{_datadir}/bison/bison.m4
%{_datadir}/bison/c.m4
%{_datadir}/bison/lalr1.cc

%{_docdir}/bison

%{_infodir}/bison.info

%{_libdir}/liby.a

%changelog
* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 3.0.4
- Use SPDX license

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Add missing and unshipped files
- Remove charset.alias

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Thu Aug 24 2017 - Kevin Adler <kadler@us.ibm.com>
- Add missing defattr
